import SpecialCharacter from "../utils/special-character.mjs";
import lines from "./lines.mjs";
const {
  EndOfLine
} = SpecialCharacter;
export async function writeln(writable, splitter) {
  for await (const line of lines(splitter)) {
    writable.write(Buffer.from([...line, EndOfLine]));
  }
}
export default writeln; //# sourceMappingURL=writeln.js.map